
QGIS Application - Bug report #11226

Removing a Join from layer properties is completed even when user cancels the property window.

2014-09-18 08:35 AM - Drew Nix

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19535

Description

Problem Description:

Removing a Join from layer properties is completed even when user cancels the property window.

Expected Behavior:

Canceling a layers property window should cancel all changes.

Problem Result:

The user must re-enter the join(s).

Steps to reproduce:

Open Qgis

Add a vector layer.

Add a second table to join.

Open layers properties window.

Select Joins tab.

Add a join and OK or Apply.

Close properties.

Re-open layer property window.

Select Joins tab.

Remove Join.

Cancel Layer Properties.

Open layer Properties, join is now gone.

History

#1 - 2014-09-25 07:14 AM - Denis Rouzaud

- Status changed from Open to Closed

this has been fixed a few days before your report ;)

#f73b0b61e59a3708c3627bb785616542ff6c0cf4

#2 - 2014-09-25 07:57 AM - Drew Nix

Great! Thank you!!

2024-04-19 1/1


